import type { AgentContext } from '../../agent';
import { JwaSignatureAlgorithm } from '../../crypto';
export declare class Mdoc {
    private issuerSignedCbor;
    private issuerSignedJson;
    private constructor();
    get docType(): string;
    get namespaces(): Record<string, unknown>;
    get jwaSignatureAlgorithm(): JwaSignatureAlgorithm;
    static fromIssuerSignedHex(hexEncodedMdoc: string): Mdoc;
    static fromIssuerSignedBase64Url(base64UrlEncodedMdoc: string): Mdoc;
    get issuerSignedHex(): string;
    get issuerSignedBase64UrlEncoded(): string;
    verify(agentContext: AgentContext, options?: {
        trustedCertificates?: [string, ...string[]];
    }): Promise<{
        isValid: boolean;
        error: string;
    } | {
        isValid: boolean;
        error?: undefined;
    }>;
}
