import type { AgentContext } from '../../agent';
import { type Nullable, com } from '@sphereon/kmp-mdl-mdoc';
type ICoseKeyCbor = com.sphereon.cbor.cose.ICoseKeyCbor;
type ICoseCallbackServiceJS = com.sphereon.crypto.ICoseCryptoCallbackJS;
type KeyInfo = com.sphereon.crypto.IKeyInfo<com.sphereon.cbor.cose.ICoseKeyCbor>;
type CoseSign1Cbor<CborType, JsonType> = com.sphereon.cbor.cose.CoseSign1Cbor<CborType, JsonType>;
type IKey = com.sphereon.cbor.cose.IKey;
type IVerifySignatureResult<KeyType extends IKey> = com.sphereon.crypto.IVerifySignatureResult<KeyType>;
/**
 * This class can be used for Cose signing and sigature verification.
 * Either have an instance per trustedCerts and verification invocation or use a single instance and provide the trusted certs in the method argument
 *
 * The class is also registered with the low-level mDL/mdoc Kotlin Multiplatform library
 * Next to the specific function for the library it exports a more powerful version of the same verification method as well
 */
export declare class MdocCoseCallbackService implements ICoseCallbackServiceJS {
    private agentContext;
    constructor(agentContext: AgentContext);
    sign1<CborType, JsonType>(coseCborInput: CoseSign1Cbor<CborType, JsonType>, keyInfo: Nullable<KeyInfo>): Promise<com.sphereon.cbor.cose.CoseSign1Cbor<CborType, JsonType>>;
    /**
     * This method is the implementation used within the mDL/Mdoc library
     */
    verify1<CborType, JsonType>(input: CoseSign1Cbor<CborType, JsonType>, keyInfo?: KeyInfo): Promise<IVerifySignatureResult<ICoseKeyCbor>>;
}
export {};
