import type { MdocVerifyOptions } from './MdocOptions';
import type { Query, QueryOptions } from '../../storage/StorageService';
import { AgentContext } from '../../agent';
import { Mdoc } from './Mdoc';
import { MdocRecord, MdocRepository } from './repository';
/**
 * @internal
 */
export declare class MdocService {
    private MdocRepository;
    constructor(mdocRepository: MdocRepository);
    fromHexEncodedMdoc(hexEncodedMdoc: string): Mdoc;
    fromBase64UrlEncodedMdoc(base64UrlEncodedMdoc: string): Mdoc;
    verify(agentContext: AgentContext, { mdoc }: MdocVerifyOptions): Promise<{
        isValid: boolean;
        error: string;
    } | {
        isValid: boolean;
        error?: undefined;
    }>;
    store(agentContext: AgentContext, mdoc: Mdoc): Promise<MdocRecord>;
    getById(agentContext: AgentContext, id: string): Promise<MdocRecord>;
    getAll(agentContext: AgentContext): Promise<Array<MdocRecord>>;
    findByQuery(agentContext: AgentContext, query: Query<MdocRecord>, queryOptions?: QueryOptions): Promise<Array<MdocRecord>>;
    deleteById(agentContext: AgentContext, id: string): Promise<void>;
    update(agentContext: AgentContext, mdocRecord: MdocRecord): Promise<void>;
}
