import type { com, Nullable } from '@sphereon/kmp-mdl-mdoc';
import { type AgentContext } from '../../agent';
type IX509CallbackServiceJS = com.sphereon.crypto.IX509ServiceJS;
type IKey = com.sphereon.cbor.cose.IKey;
type IX509VerificationResult<KeyType extends IKey> = com.sphereon.crypto.IX509VerificationResult<KeyType>;
/**
 * This class can be used for X509 validations.
 * Either have an instance per trustedCerts and verification invocation or use a single instance and provide the trusted certs in the method argument
 *
 * The class is also registered with the low-level mDL/mdoc Kotlin Multiplatform library
 * Next to the specific function for the library it exports a more powerful version of the same verification method as well
 */
export declare class MdocX509CallbackService implements IX509CallbackServiceJS {
    private agentContext;
    private trustedCertificates;
    constructor(agentContext: AgentContext, trustedCertificates?: [string, ...string[]]);
    /**
     * This method is the implementation used within the mDL/Mdoc library
     */
    verifyCertificateChainJS<KeyType extends IKey>(chainDER: Nullable<Int8Array[]>): Promise<IX509VerificationResult<KeyType>>;
    getTrustedCerts: () => [string, ...string[]];
}
export {};
